// file: $isip/class/algo/AlgorithmContainer/actn_01.cc
// version: $Id: actn_01.cc 8252 2002-06-29 18:05:02Z picone $
//

// isip include files
//
#include <Console.h>
#include "AlgorithmContainer.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean AlgorithmContainer::debug(const unichar* msg_a) const {

  // declare local variables
  //  
  String output;

  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"algorithm_d", ALGO_MAP((long)algorithm_d));
  Console::put(output);

  // display the algorithm
  //
  output.debugStr(name(), msg_a, L"implementation_d",
		  IMPL_MAP((long)implementation_d));
  Console::put(output);

  // display the graph tag name
  //
  String val;
  val.assign(graph_tag_d);
  output.debugStr(name(), msg_a, L"graph_tag_d", val);
  Console::put(output);

  // display the variable name
  //
  output.debugStr(name(), msg_a, L"variable_d", variable_d);
  Console::put(output);

  // exit gracefully
  //
  return true;
}
